Click or drag to resize
BrepCreateFromOffsetFace Method
Offsets a face including trim information to create a new brep.

Namespace: Rhino.Geometry
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public static Brep CreateFromOffsetFace(
	BrepFace face,
	double offsetDistance,
	double offsetTolerance,
	bool bothSides,
	bool createSolid
)

Parameters

face
Type: Rhino.GeometryBrepFace
the face to offset.
offsetDistance
Type: SystemDouble
An offset distance.
offsetTolerance
Type: SystemDouble
Use 0.0 to make a loose offset. Otherwise, the document's absolute tolerance is usually sufficient.
bothSides
Type: SystemBoolean
When true, offset to both sides of the input face.
createSolid
Type: SystemBoolean
When true, make a solid object.

Return Value

Type: Brep
A new brep if successful. The brep can be disjoint if bothSides is true and createSolid is false, or if createSolid is true and connecting the offsets with side surfaces fails. null if unsuccessful.
See Also